Viewing the Minibar site requires Flash 4 or higher. If you don't already have it, get Flash here.